My Project: dynamics.mod/NewtonDynamics/source/physics/dgConstraint.h File Reference

My Project

Classes | Macros | Typedefs | Functions | Variables
dgConstraint.h File Reference
`#include "dgBodyMasterList.h"`

Go to the source code of this file.

## Classes

class | dgConstraintInfo
class | dgJointCallbackParam
class | dgForceImpactPair
class | dgBilateralBounds
class | dgJacobian
class | dgJacobianPair
class | dgJointAccelerationDecriptor
class | dgContraintDescritor
class | dgConstraint
class | dgConstraint::dgPointParam

## Macros

#define | DG_MAX_BOUND dgFloat32 (1.0e15f)
#define | DG_MIN_BOUND (-DG_MAX_BOUND)
#define | DG_BILATERAL_CONSTRAINT -1
#define | DG_NORMAL_CONSTRAINT -2
#define | DG_BILATERAL_FRICTION_CONSTRAINT -3
#define | DG_CONSTRAINT_MAX_ROWS (3 * 16)
#define | MIN_JOINT_PIN_LENGTH dgFloat32 (50.0f)

## Typedefs

typedef dgFloat32 | timestep
typedef dgFloat32 dgInt32 | threadIndex
typedef void(dgApi * | OnConstraintDestroy) (dgConstraint &me)

## Functions

typedef | void (dgApi *ConstraintsForceFeeback)(const dgConstraint &me

## Variables

DG_MSC_VECTOR_ALIGMENT class dgJacobian | DG_GCC_VECTOR_ALIGMENT

## Macro Definition Documentation

## § DG_BILATERAL_CONSTRAINT

#define DG_BILATERAL_CONSTRAINT -1

## § DG_BILATERAL_FRICTION_CONSTRAINT

#define DG_BILATERAL_FRICTION_CONSTRAINT -3

## § DG_CONSTRAINT_MAX_ROWS

#define DG_CONSTRAINT_MAX_ROWS (3 * 16)

## § DG_MAX_BOUND

#define DG_MAX_BOUND dgFloat32 (1.0e15f)

## § DG_MIN_BOUND

#define DG_MIN_BOUND (-DG_MAX_BOUND)

## § DG_NORMAL_CONSTRAINT

#define DG_NORMAL_CONSTRAINT -2

## § MIN_JOINT_PIN_LENGTH

#define MIN_JOINT_PIN_LENGTH dgFloat32 (50.0f)

## Typedef Documentation

## § OnConstraintDestroy

typedef void(dgApi * OnConstraintDestroy) (dgConstraint &me)

## § threadIndex

typedef dgFloat32 dgInt32 threadIndex

## § timestep

typedef dgFloat32 timestep

## Function Documentation

## § void()

typedef void | ( | dgApi * | ConstraintsForceFeeback | ) | const

## Variable Documentation

## § DG_GCC_VECTOR_ALIGMENT

DG_MSC_VECTOR_ALIGMENT class dgConstraint DG_GCC_VECTOR_ALIGMENT